## ros-indigo-webargs 1.3.4

=== docs/requirements.txt ===
-r ../dev-requirements-py3.txt
sphinx
sphinx-issues==0.2.0

=== examples/requirements.txt ===
python-dateutil
Flask
bottle
tornado
webapp2
flask-restful

=== debian/changelog ===
ros-indigo-webargs (1.3.4-8trusty) trusty; urgency=high

  Bug fixes:
  * Fix bug in parsing form in Falcon>=1.0.

 -- AlexV <asmodehn@gmail.com>  Fri, 10 Jun 2016 15:00:00 -0000

ros-indigo-webargs (1.3.3-8trusty) trusty; urgency=high

  Bug fixes:
  * Fix behavior for nullable List fields (:issue:`107`). Thanks :user:`shaicantor` for reporting.

 -- AlexV <asmodehn@gmail.com>  Sat, 28 May 2016 15:00:00 -0000

ros-indigo-webargs (1.3.2-8trusty) trusty; urgency=high

  Bug fixes:
  * Fix passing a schema factory to ``use_kwargs`` (:issue:`103`). Thanks :user:`ksesong` for reporting.

 -- AlexV <asmodehn@gmail.com>  Wed, 13 Apr 2016 15:00:00 -0000

ros-indigo-webargs (1.3.1-8trusty) trusty; urgency=high

  Bug fixes:
  * Fix memory leak when calling ``parser.parse`` with a ``dict`` in a view (:issue:`101`). Thanks :user:`frankslaughter` for reporting.
  * aiohttpparser: Fix bug in handling bulk-type arguments.
  Support:
  * Massive refactor of tests (:issue:`98`).
  * Docs: Fix incorrect use_args example in Tornado section (:issue:`100`). Thanks :user:`frankslaughter` for reporting.
  * Docs: Add "Mixing Locations" section (:issue:`90`). Thanks :user:`tuukkamustonen`.

 -- AlexV <asmodehn@gmail.com>  Tue, 12 Apr 2016 15:00:00 -0000

ros-indigo-webargs (1.3.0-8trusty) trusty; urgency=high

  Features:
  * Add bulk-type arguments support for JSON parsing by passing ``many=True`` to a ``Schema`` (:issue:`81`). Thanks :user:`frol`.
  Bug fixes:
  * Fix JSON parsing in Flask<=0.9.0. Thanks :user:`brettdh` for the PR.
  * Fix behavior of ``status_code`` argument to ``ValidationError`` (:issue:`85`). This requires **marshmallow>=2.7.0**. Thanks :user:`ParthGandhi` for reporting.
  Support:
  * Docs: Add "Custom Fields" section with example of using a ``Function`` field (:issue:`94`). Thanks :user:`brettdh` for the suggestion.

 -- AlexV <asmodehn@gmail.com>  Mon, 04 Apr 2016 15:00:00 -0000

ros-indigo-webargs (1.2.0-8trusty) trusty; urgency=high

  Features:
  * Add ``view_args`` request location to ``FlaskParser`` (:issue:`82`). Thanks :user:`oreza` for the suggestion.
  Bug fixes:
  * Use the value of ``load_from`` as the key for error messages when it is provided (:issue:`83`). Thanks :user:`immerrr` for the catch and patch.

 -- AlexV <asmodehn@gmail.com>  Sun, 03 Jan 2016 15:00:00 -0000

ros-indigo-webargs (1.1.1-8trusty) trusty; urgency=high

  Bug fixes:
  * aiohttpparser: Fix bug that raised a ``JSONDecodeError`` raised when parsing non-JSON requests using default ``locations`` (:issue:`80`). Thanks :user:`leonidumanskiy` for reporting.
  * Fix parsing JSON requests that have a vendor media type, e.g. ``application/vnd.api+json``.

 -- AlexV <asmodehn@gmail.com>  Fri, 13 Nov 2015 15:00:00 -0000

ros-indigo-webargs (1.1.0-8trusty) trusty; urgency=high

  Features:
  * ``Parser.parse``, ``Parser.use_args`` and ``Parser.use_kwargs`` can take a Schema factory as the first argument (:issue:`73`). Thanks :user:`DamianHeard` for the suggestion and the PR.
  Support:
  * Docs: Add "Custom Parsers" section with example of parsing nested querystring arguments (:issue:`74`). Thanks :user:`dwieeb`.
  * Docs: Add "Advanced Usage" page.

 -- AlexV <asmodehn@gmail.com>  Sat, 07 Nov 2015 15:00:00 -0000

ros-indigo-webargs (1.0.0-8trusty) trusty; urgency=high

  Features:
  * Add ``AIOHTTPParser`` (:issue:`71`).
  * Add ``webargs.async`` module with ``AsyncParser``.
  Bug fixes:
  * If an empty list is passed to a List argument, it will be parsed as an empty list rather than being excluded from the parsed arguments dict (:issue:`70`). Thanks :user:`mTatcher` for catching this.
  Other changes:
  * *Backwards-incompatible*: When decorating resource methods with ``FalconParser.use_args``, the parsed arguments dictionary will be positioned **after** the request and response arguments.
  * *Backwards-incompatible*: When decorating views with ``DjangoParser.use_args``, the parsed arguments dictionary will be positioned **after** the request argument.
  * *Backwards-incompatible*: ``Parser.get_request_from_view_args`` gets passed a view function as its first argument.
  * *Backwards-incompatible*: Remove logging from default error handlers.

 -- AlexV <asmodehn@gmail.com>  Sun, 18 Oct 2015 15:00:00 -0000

ros-indigo-webargs (0.18.0-8trusty) trusty; urgency=high

  Features:
  * Add ``FalconParser`` (:issue:`63`).
  * Add ``fields.DelimitedList`` (:issue:`66`). Thanks :user:`jmcarp`.
  * ``TornadoParser`` will parse json with ``simplejson`` if it is installed.
  * ``BottleParser`` caches parsed json per-request for improved performance.
  No breaking changes. Yay!

 -- AlexV <asmodehn@gmail.com>  Sat, 03 Oct 2015 15:00:00 -0000

ros-indigo-webargs (0.17.0-8trusty) trusty; urgency=high

  Features:
  * ``TornadoParser`` returns unicode strings rather than bytestrings (:issue:`41`). Thanks :user:`thomasboyt` for the suggestion.
  * Add ``Parser.get_default_request`` and ``Parser.get_request_from_view_args`` hooks to simplify ``Parser`` implementations.
  * *Backwards-compatible*: ``webargs.core.get_value`` takes a ``Field`` as its last argument. Note: this is technically a breaking change, but this won't affect most users since ``get_value`` is only used internally by ``Parser`` classes.
  Support:
  * Add ``examples/annotations_example.py`` (demonstrates using Python 3 function annotations to define request arguments).
  * Fix examples. Thanks :user:`hyunchel` for catching an error in the Flask error handling docs.
  Bug fixes:
  * Correctly pass ``validate`` and ``force_all`` params to ``PyramidParser.use_args``.

 -- AlexV <asmodehn@gmail.com>  Mon, 28 Sep 2015 15:00:00 -0000

ros-indigo-webargs (0.16.0-8trusty) trusty; urgency=high

  The major change in this release is that webargs now depends on marshmallow <https://marshmallow.readthedocs.io/en/latest/> for defining arguments and validation.
  Your code will need to be updated to use ``Fields`` rather than ``Args``.
  Features:


=== debian/control ===
Source: ros-indigo-webargs
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-flask (>= 0.10.1), python-mock, python-pytest, python-werkzeug (>= 0.9.4), ros-indigo-catkin (>= 0.6.18), ros-indigo-catkin-pip (>= 0.2.0), ros-indigo-marshmallow (>= 2.0.0), ros-indigo-tornado (>= 4.0), ros-indigo-webtest (>= 2.0.18)
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-webargs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-marshmallow (>= 2.0.0)
Description: A friendly library for parsing HTTP request arguments, with built-in support for popular web frameworks, including Flask, Django, Bottle, Tornado, Pyramid, webapp2, Falcon, and aiohttp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-webargs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
